# Contributing

Feel free co contribute to this small project, whenever you see a bug, have a question or know how to improve the component. 

## Issues
Have you seen a bug or want to suggest a new feature? Let's discuss it in an issue. I prefer issues to PRs, because 
issues help us to organize ourselves better and finally decide if a PR is necessary and who should be responsible for it. 
In this way we can avoid unnecessary effort.

## Pull requests (PRs)
In a PR you can implement new features, fix a bug, improve the documentation or just add a new cool example to the demo site.
However, before you submit your pull request consider the following guidelines:

- I recommend that you submit an issue first to discuss your intentions.
- When issuing PRs that change **code**, make your changes in a new git branch based on **`dev`**. Do not merge any 
 code changes in the `master`! 
- Your commit messages must follow the [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/) specification.
- Follow the [Airbnb JavaScript Style Guide](https://github.com/airbnb/javascript). Always run `npm run lint` to 
check for possible code style problems. 
- Run the full unit test suite before submitting and make sure all tests pass.
- If the PR introduces a new feature or fixes an issue, please add/update/extend the appropriate test case. Also, make sure to update
 the documentation.
- Do not forget compatibility. When adding new features, please test them (if possible) in different browsers (Chrome, Firefox, Safari...)
 on different platforms (Android, IOS...).

If your PR satisfies all points, I will merge it into the `dev` branch, test the introduced changes live on the demo page
and finally release a new stable version.

I thank you in advance for your contribution!
